### Hierarchy

- IncrementalData

Interface for the output object of Model.toIncrementalData.

All properties of this object are optional, as they are only included if changes occurred. For instance, if a transaction didn't include any changes to modelData, the modelData property of this interface won't be included on the output object.

Any shared or cyclic references within the model data will be maintained on the data included on this output object.

since

  2.1

## Index

### Properties

- insertedLinkKeys
- insertedNodeKeys
- modelData
- modifiedLinkData
- modifiedNodeData
- removedLinkKeys
- removedNodeKeys

## Properties

### Optional insertedLinkKeys : Array<Key>

Array of link keys added. Any key included will also be included in the modifiedLinkData array.

### Optional insertedNodeKeys : Array<Key>

Array of node keys added. Any key included will also be included in the modifiedNodeData array.

### Optional modelData : ObjectData

Object containing the modified Model.modelData.

### Optional modifiedLinkData : Array<ObjectData>

Array of link data objects modified.

### Optional modifiedNodeData : Array<ObjectData>

Array of node data objects modified.

### Optional removedLinkKeys : Array<Key>

Array of link keys deleted.

### Optional removedNodeKeys : Array<Key>

Array of node keys deleted.

Copyright © 1998-2020 by Northwoods Software Corporation.